Package org.eclipse.net4j.util.concurrent

## Class ExecutorServiceFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.concurrent.ExecutorServiceFactory

- All Implemented Interfaces:
    `IFactory`

      public class ExecutorServiceFactory
      extends Factory

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_THREAD_GROUP_NAME` |
    `static java.lang.String` | `PRODUCT_GROUP` |
    `static java.lang.String` | `TYPE` | Deprecated. As of 4.8 the value of the system property "org.eclipse.net4j.util.concurrent.ExecutorServiceFactory.type" is used.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorServiceFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.concurrent.ExecutorService` | `create​(java.lang.String description)` |
    `static java.util.concurrent.ExecutorService` | `get​(IManagedContainer container)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_THREAD_GROUP_NAME

          public static final java.lang.String DEFAULT_THREAD_GROUP_NAME

      See Also:
        Constant Field Values

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

    - #### TYPE

          @Deprecated
          public static final java.lang.String TYPE

      Deprecated.
      As of 4.8 the value of the system property "org.eclipse.net4j.util.concurrent.ExecutorServiceFactory.type" is used.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExecutorServiceFactory

          public ExecutorServiceFactory()

  - ### Method Detail

    - #### create

          public java.util.concurrent.ExecutorService create​(java.lang.String description)

    - #### get

          public static java.util.concurrent.ExecutorService get​(IManagedContainer container)